
package com.myarch.antutil;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

/**
 * Initializes AntLogger used by commons logging.
 * Makes AntLogger the default logger, meaning that  
 * after this task is called, all logging calls will be handled by Ant. 
 * 
 * @author Alexander Ananiev
 */
public class AntCommonsLoggerInitTask extends Task  {

    static {
        AntCommonsLogger.makeDefault();
    }
    
    
    public void execute() throws BuildException {
        AntCommonsLogger.init(getProject(), null);        
    }

    

}
