package com.myarch.dpbuddy;

public interface DPCommand<E> {
    
    /**
     * Executes the command against given device object
     * @param device DataPower device
     * @return response object
     */
    E execute( Device device );
    
}
