package com.myarch.dpbuddy;

public class DPConnectionException extends RuntimeException {

    
    public DPConnectionException(String msg, Object ... args) {
        super(makeMessage( msg, args));
    }
    
    public DPConnectionException(Throwable e) {
        super(e);
    }
    
    public DPConnectionException(String msg, Throwable e, Object ... args) {
        super(makeMessage( msg, args), e);
    }
    
    
    private static String makeMessage( String message, Object ...  args){
        if (args.length==0)
            return message;
        else
            return String.format(message, args);
    }
    
    
    private static final long serialVersionUID = 1L;
    
    
}
