package com.myarch.dpbuddy.cli;

import com.myarch.dpbuddy.ant.BaseDPBuddyTask;

public class CliCommandDef {
    private String name;
    private BaseDPBuddyTask antTask;
    private String desc;
    private String example;
    
    public CliCommandDef(String name, BaseDPBuddyTask antTask) {
        this(name, antTask, null, null);
    }

    public CliCommandDef(String name, BaseDPBuddyTask antTask, String desc, String example) {
        super();
        this.name=name;
        this.antTask=antTask;
        this.antTask.setTaskName( name );
        this.desc=desc;
        this.example=example;
    }

    public String getName() {
        return name;
    }

    public BaseDPBuddyTask getAntTask() {
        return antTask;
    }

    public String getDesc() {
        return desc;
    }

    public String getExample() {
        return example;
    }
    

}
