package com.myarch.dpbuddy.config;

import org.jdom2.Element;

public class DPObjectConfiguration {
    
    
    private Element objectElt;

    public DPObjectConfiguration(String clazz, String name) {
        super();
        objectElt=new Element(clazz);
        objectElt.setAttribute( "name", name );
    }
    
    
    /**
     * Set comments (user info) on the last object
     * @param comments
     */
    public void setComments(String comments) {
       Element userSummaryElt=createElt("UserSummary", comments);
       objectElt.addContent( userSummaryElt );
    }

    private Element createElt(String name, String value) {
        Element elt=new Element(name);
        elt.setText( value );
        return elt;
    }


    public Element getObjectElt() {
        return objectElt;
    }

}
