package com.myarch.dpbuddy.inpututil;

import java.io.IOException;
import java.io.InputStream;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class InputUtils {
    private static Log logger=LogFactory.getLog( InputUtils.class );
    
    public static void close(Input input) {
        
        InputStream stream=input.getInputStream();
        
        if (stream!=null) {
            try {
                stream.close();
            }
            catch (IOException e) {
                logger.debug( "Error attempting to close the stream "+input.getName() );
            }
        }
    }

}
