package com.myarch.dpbuddy.license;

import org.apache.tools.ant.BuildException;

import com.myarch.antutil.AntCommonsLogger;
import com.myarch.antutil.LoggerConfiguration;
import com.myarch.dpbuddy.ant.BaseDPBuddyTask;
import com.myarch.dpbuddy.ant.ExtensionInitializer;

public class LicenseAntTask extends BaseDPBuddyTask {
    @Override
    public void execute() throws BuildException {
        extensionInitializer=new ExtensionInitializer( getProject() );
        AntCommonsLogger.setProject( getProject() );
        // trick the logger to print in verbose mode
        AntCommonsLogger.setLoggerConfiguration( LoggerConfiguration.GRADLE_CONFIG );
        
        initProperties( extensionInitializer.instantiatePropRepository() );
        try {
            validateLicense();
        }
        catch (LicenseException le) {
            throw new BuildException( le.getMessage(), le );
        }
        finally {
            AntCommonsLogger.deregister();
        }
    }

    @Override
    protected void executeDPTask() {

    }

}
