package com.myarch.dpbuddy.log;

import com.google.gson.JsonObject;
import com.myarch.dpbuddy.event.EventUtils;

public class AdditionalLogMessageParsing {
    
    public static void parse( JsonObject event, String message) {
        if (EventUtils.isCategory( event, "extlatency")){
            ExtLatencyParser latencyParser=new ExtLatencyParser();
            JsonObject latencyRecord=latencyParser.parseLatencyMessage( message );
            JsonObject dpJson=EventUtils.getDpJson( event );
            dpJson.add( "latency", latencyRecord );
        }
    }

}
