package com.myarch.propmanagement.ant;

import org.apache.tools.ant.Project;

import com.myarch.propmanagement.ExpressionEvaluator;
import com.myarch.propmanagement.PropSet;

public class AntPropSet implements PropSet {

	private Project project;
	
	/**
     * @param project
     */
    public AntPropSet(Project project) {
        super();
        this.project = project;
    }

    public String get(String name) {
		return project.getProperty(name);
	}

	public ExpressionEvaluator getPropExpressionEvaluator() {
	    return new AntExpressionEvaluator(project);
	}
	
}
