package com.myarch.antutil;

public class LoggerConfiguration {
    
    public final static LoggerConfiguration GRADLE_CONFIG=new LoggerConfiguration(true, false, "");
    public final static LoggerConfiguration ANT_CONFIG=new LoggerConfiguration(false, true, " WARNING: ");
    public final static LoggerConfiguration CLI_CONFIG=new LoggerConfiguration(false, false, "WARNING: ");
    
    private boolean logInfoAtWarningLevel=false;
    private boolean prefixWithTaskName=true;
    private String warningPrefix;

    
    public LoggerConfiguration(boolean logInfoAtWarningLevel, boolean prefixWithTaskName,
                    String warningPrefix) {
        super();
        this.logInfoAtWarningLevel=logInfoAtWarningLevel;
        this.prefixWithTaskName=prefixWithTaskName;
        this.warningPrefix=warningPrefix;
    }


    public boolean isLogInfoAtWarningLevel() {
        return logInfoAtWarningLevel;
    }


    public boolean isPrefixWithTaskName() {
        return prefixWithTaskName;
    }


    public String getWarningPrefix() {
        return warningPrefix;
    }

}
