package com.myarch.dpbuddy;

import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

import org.apache.tools.ant.BuildException;

import com.myarch.util.StringPatternUtils;


public class DPPattern {
    private Pattern pattern;

    public Pattern getPattern() {
        if (pattern==null)
            throw new BuildException("You must provide 'pattern' attribute");
        return pattern;
    }
    
    @Override
    public String toString() {
    	return getPattern().toString();
    }

    public void setPattern(String pattern) {
        try {
            this.pattern = StringPatternUtils.compileRegexp(pattern);
        }
        catch (PatternSyntaxException e) {
            throw new BuildException(e);
        }
        
    }
    
}
