package com.myarch.dpbuddy.action;

import org.apache.tools.ant.BuildException;
import org.kohsuke.args4j.Option;

import com.myarch.dpbuddy.ant.BaseDPBuddyTask;

public class WsrrSubscriptionTask extends BaseDPBuddyTask {

    private String subscription;

    @Option(name="-subscription", required=true, usage="Name of a WSRR subscription or a WSRR Saved Search subscription object")
    public void setSubscription( String subscription ) {
        this.subscription=subscription;
    }

    @Override
    public void executeDPTask() throws BuildException {
        ActionCommand actionCommand=new ActionCommand( "WsrrSynchronize" );
        actionCommand.addActionChildElement( "WSRRSubscription", subscription );

        actionCommand.execute( getDevice() );
    }
}
