package com.myarch.dpbuddy.configreport;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.TreeMap;

public class ConfReport {
    private TreeMap<String, ConfObjReport> confObjReports=new TreeMap<>();

    private List<String> identifyingHeaders=new ArrayList<>();
    
    public ConfReport(List<String> identifyingHeaders) {
        this.identifyingHeaders=identifyingHeaders;
    }

    public void addConfObjRow( String type, ReportRow row ) {
        ConfObjReport confObjReport=confObjReports.get( type );
        if (confObjReport == null) {
            confObjReport=new ConfObjReport( type, identifyingHeaders );
            confObjReports.put( type, confObjReport );
        }

        confObjReport.addRow( row );
    }

    public Collection<ConfObjReport> confObjReports() {
        return confObjReports.values();
    }
}
