package com.myarch.dpbuddy.configreport;

import java.util.ArrayList;
import java.util.List;

// TODO: cleanup, make it more generic

public class ReportColumn {
    private String header;
    
    private Object val;
    private ReportRow row;
    private List<Object> vals=new ArrayList<>();
    private List<ReportRow> rows=new ArrayList<>();
    
    
    public static ReportColumn valCol(String header, Object value) {
        ReportColumn column=new ReportColumn();
        column.header=header;
        column.val=value;
        
        return column;
    }
    
    public static ReportColumn rowCol(String header, ReportRow row) {
        ReportColumn column=new ReportColumn();
        column.header=header;
        column.row=row;
        
        return column;
    }
    
    public boolean isValue() {
        return val!=null;
    }

    public boolean isRow() {
        return row!=null;
    }
    
    public boolean isRowList() {
        return row!=null;
    }

    public void addValue(Object newValue) {
        if (val!=null) {
            vals.add( val );
            val=null;
        }
        vals.add( newValue );
    }

    public void addRow(ReportRow newRow) {
        if (row!=null) {
            rows.add( row );
            row=null;
        }
        rows.add( newRow );
    }

    
    
    public String header() {
        return header;
    }

    public Object value() {
        return val;
    }
    
    public ReportRow row() {
        return row;
    }
    
    public List<ReportRow> rows() {
        return rows;
    }
    
}
