package com.myarch.dpbuddy.encryption;

import org.apache.commons.lang3.StringUtils;

public class PasswordUtils {

    public static String maskIfNeeded( String attrEltName, String val ) {
        String possiblyMaskedVal=val;
        if (isPassword( attrEltName )) {
            possiblyMaskedVal="****";
        }
        return possiblyMaskedVal;
    }

    public static boolean isPassword( String attrEltName ) {
        return ( StringUtils.startsWithIgnoreCase( attrEltName, "password" )
            || StringUtils.endsWithIgnoreCase( attrEltName, "password" ) );
    }

}
