package com.myarch.dpbuddy.filemanagement.ant;

import org.apache.tools.ant.types.FileSet;

import com.myarch.dpbuddy.xmltransform.TransformActionContainer;


public class TransformableFileSet extends FileSet {

    private TransformActionContainer transformActionContainer;
    private boolean isMatchRequired=true;
    
    
    // nested transform container, using Ant conventions
    public TransformActionContainer createTransform(){
        transformActionContainer=TransformActionContainer.createTransformOnlyIfNull(transformActionContainer);
        return transformActionContainer;
    }
    
    public TransformActionContainer getTransform() {
        return transformActionContainer;
    }
    
    public void setTransform(TransformActionContainer transformActionContainer) {
        this.transformActionContainer=transformActionContainer;
    }

    public boolean isMatchRequired() {
        return isMatchRequired;
    }

    public void setMatchRequired( boolean isMatchRequired ) {
        this.isMatchRequired=isMatchRequired;
    }

    
}
