package com.myarch.dpbuddy.quiesce;

import org.jdom2.Element;

import com.myarch.dpbuddy.DPObject;
import com.myarch.dpbuddy.action.ActionCommand;

public class QuiesceUnquiesceRequest extends ActionCommand {
    private String actionName;
    public QuiesceUnquiesceRequest(String actionName) {
        this.actionName=actionName;
    }

    
    public Element addObject( DPObject dpObject, int timeout ) {
        Element actionElt=addObject(dpObject);
        Element timeoutElt = new Element("timeout").addContent(Integer.toString(timeout));
        actionElt.addContent(timeoutElt);
        
        return actionElt;
    }
    
    public Element addObject( DPObject dpObject ) {
        Element actionElt=addAction(actionName);
        if (dpObject.getClazz()!=null) {
            Element classElt = new Element("type").addContent(dpObject.getClazz());
            actionElt.addContent(classElt);

        }
        Element nameElt = new Element("name").addContent(dpObject.getName());
        actionElt.addContent(nameElt);
        return actionElt;
       
    }    
    
}
