package com.myarch.dpbuddy.status;

import org.jdom2.Document;

import com.myarch.dpbuddy.DPCommand;
import com.myarch.dpbuddy.Device;

public class ObjectStatusCommand implements DPCommand<ObjectStatusResponse>{
    
    
    private String objectStatusClass="ObjectStatus";
    
    private StatusRequest request=new StatusRequest(objectStatusClass);

    public ObjectStatusResponse execute( Device device ) {
        
        Document responseDoc = device.executeRequest( request );
        ObjectStatusResponse dpResponse = new ObjectStatusResponse( responseDoc );
        
        return dpResponse;
    }
    
}
