package com.myarch.dpbuddy.status;

import java.util.Set;

public class OperationalStateResponse {
    private OperationalState opState;
    private Set<ObjectStatus> objectsInState;
    private Set<ObjectStatus> objectsNotInState;
    
    public OperationalStateResponse(OperationalState opState, Set<ObjectStatus> objectsInState,
                    Set<ObjectStatus> objectsNotInState) {
        super();
        this.opState=opState;
        this.objectsInState=objectsInState;
        this.objectsNotInState=objectsNotInState;
    }

    public OperationalState getOpState() {
        return opState;
    }

    public Set<ObjectStatus> getObjectsInState() {
        return objectsInState;
    }

    public Set<ObjectStatus> getObjectsNotInState() {
        return objectsNotInState;
    }

}
