package com.myarch.dpbuddy.status;

import org.apache.tools.ant.BuildException;

import com.myarch.dpbuddy.ant.BaseDPBuddyTask;

public class TestConnectionAntTask extends BaseDPBuddyTask {

    @Override
    public void executeDPTask() throws BuildException {

        StatusCommand statusRequest=StatusCommand.VERSION_STATUS_COMMAND;

        StatusResponse response=statusRequest.execute( getDevice().switchDefaultDomain() );
        logger.info( "Successfully connected to DataPower and retrieved the following information about the device:" );
        String statusString=response.toStatusString();
        logger.info( statusString );
    }

    @Override
    protected boolean isDefaultDomainOverride() {
        return true;
    }

}
