package com.myarch.dpbuddy.xmltransform;

import java.util.List;

import org.jdom2.Document;
import org.jdom2.Element;

import com.myarch.dpbuddy.xmlutil.JDomUtils;

public class DeleteTransformAction extends TransformAction{
    
    public DeleteTransformAction() {
        super();
    }
    
    public DeleteTransformAction(String xpath) {
        super();
        setXPath( xpath );
    }

    
    public Document transform(Document doc) {
        Document transformedDoc=doc.clone();
        
        List<Element> elements=matchAtLeastOneElementIfRequired(transformedDoc);
        
        for (Element elt:elements) {
            logTransform("Deleted element '%s'",JDomUtils.elementToString(elt));
            elt.detach();
        }
        return transformedDoc;
    }


}
