package com.myarch.dpbuddy.xmltransform;

import org.jdom2.Namespace;

import com.myarch.dpbuddy.DPBuddyException;

public class NamespaceConfig {
    // prefix is optional, namespace is mandatory
    private String prefix;
    private String uri;
    
    public String getPrefix() {
        return prefix;
    }
    public void setPrefix(String prefix) {
        this.prefix=prefix;
    }
    public String getUri() {
        return uri;
    }
    public void setUri(String uri) {
        this.uri=uri;
    }
    
    public Namespace getNamespace() {
        
        if (uri==null)
            throw new DPBuddyException("URI attribute is requred for the namespace");
        if (prefix!=null)
            return Namespace.getNamespace(prefix, uri);
        
        return Namespace.getNamespace(uri);
        
    }
    
}
