package com.myarch.dpbuddy.xmltransform;

import org.apache.tools.ant.types.PatternSet;



public class TransformablePatternSet extends PatternSet {

    private TransformActionContainer transformActionContainer;
    
    // nested transform container, using Ant conventions
    public TransformActionContainer createTransform(){
        transformActionContainer=TransformActionContainer.createTransformOnlyIfNull(transformActionContainer);
        return transformActionContainer;
    }
    
    public TransformActionContainer getTransform() {
        return transformActionContainer;
    }

    public void setTransform(TransformActionContainer transformActionContainer) {
        this.transformActionContainer=transformActionContainer;
    }

}
