package com.myarch.dpbuddy.xmlutil;

import java.io.File;

import org.jdom2.Document;
import org.jdom2.Element;

import com.myarch.dpbuddy.DPObject;
import com.myarch.dpbuddy.config.DPConfiguration;

public class DpObjectXmlSorter {
    
    public void sort(File dpConfigXmlFile, File sortedOuputFile) {
        Document doc=XMLParsingUtils.parseFile( dpConfigXmlFile );
        doc=sort(doc);
        XMLParsingUtils.persistXML( sortedOuputFile, doc );
    }
    
    public Document sort(Document doc){
        DPConfiguration dpConfiguraion=new DPConfiguration(doc);
        Element configurationRootElt=dpConfiguraion.getConfigurationElt();
        configurationRootElt.sortChildren( new DPObject.DpObjectElementComparator() );
        
        return doc;
    }
    

}
