package com.myarch.dpbuddy.xmlutil.streaming;

import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;

import org.apache.commons.codec.binary.Base64InputStream;
import org.jdom2.Element;

import com.myarch.dpbuddy.inpututil.Input;

public class InputEncodingElementMapper implements ElementMapper<InputStream> {
    private Map<Element, Input> eltToContentMap=new HashMap<>();

    public void add( Element elt, Input input ) {
        eltToContentMap.put( elt, input );
    }

    @Override
    public InputStream mapElement( Element elt ) {
        Input input=eltToContentMap.get( elt );
        if (input != null) {
            Base64InputStream base64is=new Base64InputStream( input.getInputStream(), true, -1, null );
            return base64is;
        }
        else {
            return null;
        }
    }

}
